Bug 167956 - [maintainer patch] mail/dbmail22 fix to enable building with clang
[maintainer patch] mail/dbmail22 fix to enable building with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 12:50 UTC by Alan Hicks
Modified: 2012-05-25 17:00 UTC (History)
1 user (show)

See Also:


Attachments
dbmail22.diff (539 bytes, patch)
2012-05-16 12:50 UTC, Alan Hicks
no flags Details | Diff
dbmail22.diff (537 bytes, patch)
2012-05-24 08:37 UTC, alan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2012-05-16 12:50:01 UTC
	Configure script barfs with 'Script "configure" failed unexpectedly'
    due to error with empty character constant in define _GNU_SOURCE ''
    changing quotes from '' to "" fixes the issue

Fix: Apply the attached patch to reverse affected quotes
How-To-Repeat: 	Build with clang
Comment 1 Edwin Groothuis freebsd_committer 2012-05-16 12:50:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 alan 2012-05-24 08:37:04 UTC
Revised patch avoiding redundant empty quotes
Comment 3 Martin Wilke freebsd_committer 2012-05-25 16:54:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2012-05-25 16:54:41 UTC
miwi        2012-05-25 15:54:27 UTC

  FreeBSD ports repository

  Added files:
    mail/dbmail22/files  patch-configure 
  Log:
  - Fix build with clang
  
  PR:             167956
  Submitted by:   Alan Hicks <ahicks@p-o.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.5       +11 -0     ports/mail/dbmail22/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"